Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deLogDestiny Class Reference

`#include <deLogDestiny.hpp>`

Inheritance diagram for deLogDestiny:

[legend]
Collaboration diagram for deLogDestiny:

[legend]
List of all members.

## Public Member Functions
| deLogDestiny (char *LogName)
| ~deLogDestiny ()
deBoolean | GetCreationResult (void)
void | Error (deErrorLevelType ErrorLevel, unsigned int ErrorCode)
void | Error (deErrorLevelType ErrorLevel, char *Format,...)
void | ErrorStart (deErrorLevelType ErrorLevel)
void | ErrorAddLine (unsigned int ErrorCode)
void | ErrorAddLine (char *Format,...)
void | ErrorEnd (deErrorLevelType ErrorLevel)
void | Log (char *Format,...)
void | LogFunctionStart (const char *FunctionName)
void | LogParamListStart ()
void | LogParamListEnd ()
void | LogFunctionEnd (const char *FunctionName)
void | LogVariable (const char *VarName, char *Format,...)
## Private Member Functions
deBoolean | GetThreadFileInfo (FileInfo *Info)
## Private Attributes
deBoolean | CreationResult
char | BaseFileName [120]
deTArray< FileInfo > | LogFiles

## Constructor & Destructor Documentation

deLogDestiny::deLogDestiny | ( | char * | LogName | ) |

deLogDestiny::~deLogDestiny | ( |  | ) |

## Member Function Documentation

void deLogDestiny::Error | ( | deErrorLevelType | ErrorLevel,
|  | char * | Format,
|  | ... |
| ) | `[virtual]`

| Implements IdeLog.

void deLogDestiny::Error | ( | deErrorLevelType | ErrorLevel,
|  | unsigned int | ErrorCode
| ) | `[virtual]`

| Implements IdeLog.

void deLogDestiny::ErrorAddLine | ( | char * | Format,
|  | ... |
| ) | `[virtual]`

| Implements IdeLog.

void deLogDestiny::ErrorAddLine | ( | unsigned int | ErrorCode | ) | `[virtual]`

| Implements IdeLog.

void deLogDestiny::ErrorEnd | ( | deErrorLevelType | ErrorLevel | ) | `[virtual]`

| Implements IdeLog.

void deLogDestiny::ErrorStart | ( | deErrorLevelType | ErrorLevel | ) | `[virtual]`

| Implements IdeLog.

deBoolean deLogDestiny::GetCreationResult | ( | void |  | ) | `[inline, virtual]`

| Implements IdeLog.

deBoolean deLogDestiny::GetThreadFileInfo | ( | FileInfo * | Info | ) | `[private]`

void deLogDestiny::Log | ( | char * | Format,
|  | ... |
| ) | `[virtual]`

| Implements IdeLog.

void deLogDestiny::LogFunctionEnd | ( | const char * | FunctionName | ) | `[virtual]`

| Implements IdeLog.

void deLogDestiny::LogFunctionStart | ( | const char * | FunctionName | ) | `[virtual]`

| Implements IdeLog.

void deLogDestiny::LogParamListEnd | ( |  | ) | `[virtual]`

| Implements IdeLog.

void deLogDestiny::LogParamListStart | ( |  | ) | `[virtual]`

| Implements IdeLog.

void deLogDestiny::LogVariable | ( | const char * | VarName,
|  | char * | Format,
|  | ... |
| ) | `[virtual]`

| Implements IdeLog.

## Member Data Documentation

char deLogDestiny::BaseFileName[120]`[private]`

deBoolean deLogDestiny::CreationResult`[private]`

deTArray<FileInfo> deLogDestiny::LogFiles`[private]`

The documentation for this class was generated from the following files:

- deLogDestiny.hpp
- deLogDestiny.cpp